# TransferRestrictionBase

Base class for managing Transfer Restrictions

## Type parameters

▪ **T**: *TransferRestrictionType*

## Hierarchy

* Namespace‹[SecurityToken](/polymesh-sdk-api-reference/docs-v4/classes/securitytoken.md)›

  ↳ **TransferRestrictionBase**

  ↳ [CountTransferRestriction](/polymesh-sdk-api-reference/docs-v4/interfaces/counttransferrestriction.md)

  ↳ [PercentageTransferRestriction](/polymesh-sdk-api-reference/docs-v4/interfaces/percentagetransferrestriction.md)

## Index

### Properties

* [addRestriction](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#addrestriction)
* [context](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#protected-context)
* [exemptedScopeIds](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#optional-exemptedscopeids)
* [parent](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#protected-parent)
* [removeRestrictions](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#removerestrictions)
* [setRestrictions](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#setrestrictions)
* [type](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#protected-abstract-type)

### Methods

* [get](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#get)

## Properties

### addRestriction

• **addRestriction**: *ProcedureMethod‹*[*AddRestrictionParams*](/polymesh-sdk-api-reference/docs-v4/globals.md#addrestrictionparams)*‹T›, number›*

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts:112*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts#L112)

Add a Transfer Restriction of the corresponding type to this Security Token

**`param`** array of Scope IDs that are exempted from the Restriction

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v4/classes/context.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Namespace.ts#L11)

### `Optional` exemptedScopeIds

• **exemptedScopeIds**? : *string\[]*

*Defined in* [*src/types/index.ts:723*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/types/index.ts#L723)

### `Protected` parent

• **parent**: [*SecurityToken*](/polymesh-sdk-api-reference/docs-v4/classes/securitytoken.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Namespace.ts#L9)

### removeRestrictions

• **removeRestrictions**: *ProcedureMethod‹void, number›*

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts:134*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts#L134)

Removes all Transfer Restrictions of the corresponding type from this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### setRestrictions

• **setRestrictions**: *ProcedureMethod‹*[*SetRestrictionsParams*](/polymesh-sdk-api-reference/docs-v4/globals.md#setrestrictionsparams)*‹T›, number›*

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts:124*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts#L124)

Sets all Transfer Restrictions of the corresponding type on this Security Token

**`param`** array of Transfer Restrictions with their corresponding exemptions (if applicable)

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### `Protected` `Abstract` type

• **type**: *T*

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts:53*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts#L53)

## Methods

### get

▸ **get**(): *Promise‹*[*GetReturnType*](/polymesh-sdk-api-reference/docs-v4/globals.md#getreturntype)*‹T››*

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts:143*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/TransferRestrictionBase.ts#L143)

Retrieve all active Transfer Restrictions of the corresponding type

**`note`** there is a maximum number of restrictions allowed accross all types. The `availableSlots` property of the result represents how many more restrictions can be added before reaching that limit

**Returns:** *Promise‹*[*GetReturnType*](/polymesh-sdk-api-reference/docs-v4/globals.md#getreturntype)*‹T››*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
